<!doctype html>
<html lang="en" class="no-js">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700' rel='stylesheet' type='text/css'>

	<link rel="stylesheet" href="css/reset.css"> <!-- CSS reset -->
	<link rel="stylesheet" href="css/style.css"> <!-- Resource style -->
	<script src="js/modernizr.js"></script> <!-- Modernizr -->
	<title>Frequently Asked Questions</title>
</head>
<body>
<header>
	<h1>Frequently Asked Questions</h1>
</header>
<section class="cd-faq">
	<div class="cd-faq-items">
		<ul id="basics" class="cd-faq-group">			
		
							<li>
				<a class="cd-faq-trigger" href="#0">IS THIS COURSE APPROVED?</a>
				<div class="cd-faq-content">
					<p>Yes.</p><br>
					<p>This course is approved by the New Jersey Motor Vehicle Commission (NJMVC) for their "Defensive Driving Course".</p><br>
					<p>The NJMVC also offers a "Driver Improvement Program" (DIP) for people who are facing suspension of their licenses. The NJMVC will personally mail those students a list of approved classroom courses to fulfill this requirement.</p>
				</div> <!-- cd-faq-content -->
			</li>
		
									<li>
				<a class="cd-faq-trigger" href="#0">IS THIS COURSE VALID FOR INSURANCE DISCOUNT, OR POINT REDUCTION?</a>
				<div class="cd-faq-content">
					<p>Both</p><br>
					<p>This course is valid for 3 years for insurance reduction of 10%, and it is also valid for removing up to 2 points from your record. </p>
				</div> <!-- cd-faq-content -->
			</li>
		
			<li>
				<a class="cd-faq-trigger" href="#0">HOW MUCH IS THE COURSE?</a>
				<div class="cd-faq-content">
					<p>$12. This includes everything: the course, the test (unlimited chances to pass), and your certificate is given to you via a download button immediately upon passing the final test.</p>
				</div> <!-- cd-faq-content -->
			</li>

			<li>
				<a class="cd-faq-trigger" href="#0">ARE YOU SURE THERE ARE NO HIDDEN COSTS?</a>
				<div class="cd-faq-content">
					<p>Yes.</p>
				</div> <!-- cd-faq-content -->
			</li>

			<li>
				<a class="cd-faq-trigger" href="#0">I REALLY WANT THIS CONFIRMED...IS IT REALLY JUST $12?</a>
				<div class="cd-faq-content">
					<p>Yes. Confirmed.</p>
				</div> <!-- cd-faq-content -->
			</li>

			<li>
				<a class="cd-faq-trigger" href="#0">HOW LONG IS THE COURSE?</a>
				<div class="cd-faq-content">
					<p>6 hours. This the is minimum time requirement set forth by the New Jersey Motor Vehicle Commission (NJMVC).</p>
				</div> <!-- cd-faq-content -->
			</li>
            
            <li>
				<a class="cd-faq-trigger" href="#0">WHAT ABOUT FEES FOR MISTAKES?</a>
				<div class="cd-faq-content">
					<p>We're glad you asked!<br><br>
					<span style="font-weight:bold;">There is a $10 fee for mistakes in your profile.</span> If you make a mistake on your profile, then our team must go into the system and manually make another certificate for you, as we cannot change the information on a certificate once it is printed. For this, we charge $10. We had our techs add some check boxes on the profile intake form to prevent mistakes, including a box that warns you about the $10 fee, because we would rather not have the hassle. We are pleased to report that since those checkboxes have been added, seldom is a mistake made. </p>
				</div> <!-- cd-faq-content -->
			</li>
            
            <li>
				<a class="cd-faq-trigger" href="#0">HOW DOES THIS WORK?</a>
				<div class="cd-faq-content">
					<p>It's easy!<br><br>
1. Click the button that says <span style="font-weight:bold;font-style:italic;">Enter the Course</span>, and you will be taken to a page to create your profile. You will be taken to a page where you will confirm your account online, and then you can begin the course.<br><br>
2. Take the course at your own pace, and take the test as many times as you need to pass. Come and go as you please. There is no time limit, and you will not lose any time accrued.<br><br>
3. When the test is done, you will be presented with a button that says 'Get Your Certificate'. Give your certificate to your insurance agent for the insurance discount. We will send your report to the state at the end of the day, and the state will take up to 2 weeks to apply your success to your MVC record, removing up to 2 points.</p>
				</div> <!-- cd-faq-content -->
			</li>

            <li>
				<a class="cd-faq-trigger" href="#0">DO I HAVE TO TAKE THE COURSE ALL IN ONE SITTING? CAN I LEAVE AND COME BACK?</a>
				<div class="cd-faq-content">
					<p>You do NOT have to take the course all at once. Come and go as you please. You keep all the the time you have already spent in the course, so you lose nothing by leaving and then returning later. Also, you get unlimited chances to pass the test.<br><br>
When you pass the test, your certificate available immediately through a download button that you will see. </p>
				</div> <!-- cd-faq-content -->
			</li>
		</ul> <!-- cd-faq-group -->
<p> </p><br>
		<p style="margin-bottom: 0in; text-align: center;"><span style="font-size: xx-large;">If your question is not found in FAQ, then <a href="../contactus.php"><span style="color: #DC143C;"><b><u><b>click here to contact us</b><u/></a></span></span></p>
	</div> <!-- cd-faq-items -->
	<a href="#0" class="cd-close-panel">Close</a>
</section> <!-- cd-faq -->

<script src="js/jquery-2.1.1.js"></script>
<script src="js/jquery.mobile.custom.min.js"></script>
<script src="js/main.js"></script> <!-- Resource jQuery -->
</body>
</html>